# Created by pyp2rpm-1.0.1
%global pypi_name stsci.ndimage
%define version 0.10.0

Name:           python-stsci-ndimage
Version:        %{version}
Release:        %mkrel 3
Group:          Sciences/Astronomy
Summary:        Various functions for multi-dimensional image processing--fork of scipy.ndimage for use with stsci_python

License:        BSD
URL:            http://www.stsci.edu/resources/software_hardware/stsci_python
Source0:        https://pypi.python.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
 
BuildRequires:  python-devel
BuildRequires:  python-d2to1 >= 0.2.9
BuildRequires:  python-stsci-distutils >= 0.3.2
BuildRequires:  python-numpy-devel


Obsoletes: python-stsci <= 2.13-4

%description
False


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc LICENSE.txt
%{python_sitearch}/stsci/ndimage
%{python_sitearch}/%{pypi_name}-%{version}-py?.?-*.pth
%{python_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 544294
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.10.0-2.mga4
+ Revision: 499500
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 11 2013 joequant <joequant> 0.10.0-1.mga4
+ Revision: 477659
- imported package python-stsci-ndimage

